apt 2.9.16 commandline package manager

Public Attributes | List of all members
Solver::State Struct Reference

The solver state. More...

`#include <apt-pkg/solver3.h>`

## Public Attributes
Var | reason {}
depth_type | depth {0}
Decision | decision {Decision::NONE}
Hint | hint {Hint::NONE}

## Detailed Description

The solver state.

For each version, the solver records a decision at a certain level. It maintains an array mapping from version ID to state.

The documentation for this struct was generated from the following file:

- apt-pkg/solver3.h